Subject: Re: [rmcat] New Version Notification for draft-hayes-rmcat-sbd-01.txt

From: Michael Tuexen <[email-masked]>
Date: Sun, 9 Nov 2014 13:26:28 +0100

On 27 Oct 2014, at 22:06, David hayes <[email-masked]> wrote:

> Hi All,
> 
> We have posted an update to the SBD draft. The main changes are
> clarifications based on the feedback so far on the list. Thank you!
> There is also a correction to skew_est, [E_T() -> E_NT()].
> 
> Hopefully this will provide a good basis for further discussions on the
> list and at the meeting.
Hi David,

that is an interesting document. Here are some initial comments:

* I don't think you need in Section 2 the RFC 2119 boiler plate.
* In some place you refer to RTP. How is the proposed solution
  specific to RTP? Couldn't you use this also to detect shared
  bottlenecks for MP-TCP subflows or SCTP-CMT?
* Is it possible to do the computations without floating point
  operations? This might be important when trying to implement
  this in operating systems kernels.

Best regards
Michael
> 
> Regards,
> 
> David
> 
> 
> 
> 
> Begin forwarded message:
> 
> Date: Mon, 27 Oct 2014 13:42:25 -0700
> From: <[email-masked]>
> To: Michael Welzl <[email-masked]>, David Hayes
> <[email-masked]>, Michael Welzl <[email-masked]>, Simone Ferlin
> <[email-masked]>, Simone Ferlin <[email-masked]>, David Hayes
> <[email-masked]> Subject: New Version Notification for
> draft-hayes-rmcat-sbd-01.txt
> 
> 
> 
> A new version of I-D, draft-hayes-rmcat-sbd-01.txt
> has been successfully submitted by David Hayes and posted to the
> IETF repository.
> 
> Name:		draft-hayes-rmcat-sbd
> Revision:	01
> Title:		Shared Bottleneck Detection for Coupled
> Congestion Control for RTP Media. Document date:	2014-10-27
> Group:		Individual Submission
> Pages:		13
> URL:
> http://www.ietf.org/internet-drafts/draft-hayes-rmcat-sbd-01.txt
> Status:         https://datatracker.ietf.org/doc/draft-hayes-rmcat-sbd/
> Htmlized:       http://tools.ietf.org/html/draft-hayes-rmcat-sbd-01
> Diff:
> http://www.ietf.org/rfcdiff?url2=draft-hayes-rmcat-sbd-01
> 
> Abstract:
>   This document describes a mechanism to detect whether end-to-end data
>   flows share a common bottleneck.  It relies on summary statistics
>   that are calculated by a data receiver based on continuous
>   measurements and regularly fed to a grouping algorithm that runs
>   wherever the knowledge is needed.  This mechanism complements the
>   coupled congestion control mechanism in draft-welzl-rmcat-coupled-cc.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of
> submission until the htmlized version and diff are available at
> tools.ietf.org.
> 
> The IETF Secretariat
> 
> 
> 
> -- 
> 
> +-------------------------------+
> | David A. Hayes		|
> | [email-masked]		|
> +-------------------------------+
> 
>

---

From: Simone Ferlin-Oliveira <[email-masked]>
Date: Sun, 9 Nov 2014 13:54:54 +0100

Thanks Michael for the review.

Regarding your last two comments:
2. Yes, I am working on the implementation with/for MP-TCP at the moment.
3. I am figuring this out. At the moment, we have the algorithm
running in user-space to test, but it will go to the kernel at some
point. I will do this for Linux, would you (or somebody with you) be
interested to do it for SCTP?

Thanks again,
Simone

---

From: Michael Tuexen <[email-masked]>
Date: Sun, 9 Nov 2014 14:18:13 +0100

> interested to do it for SCTP?
Maybe. Depends on resources... I'm definitely interested how this
can be used for SCTP with loadsharing, in particular in the FreeBSD kernel.

Best regards
Michael